//+------------------------------------------------------------------+
//|                                                                  |
//|                                      Copyright  2009,           |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, "
#property link      ""

//---- input parameters
extern int        TP = 1000;
extern int        PipsAdd = 0;
extern double     Lot = 0.1;

#define Magic 7777777
#define Slippage 3

int bartime = 0;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   GlobalVariableSet("uplevel", High[1] + PipsAdd*Point);
   GlobalVariableSet("dnlevel", Low[1] - PipsAdd*Point);
   int tiket;
   
   if(OrdersTotal()<1 && bartime != Time[0])
   {
      if(Bid>=GlobalVariableGet("uplevel"))
      {
         tiket = OrderSend(Symbol(),OP_BUY,Lot,Ask,Slippage,0,Ask+TP*Point,"",Magic,0,Navy);
         if(tiket>0) bartime = Time[0];
      }
      if(Bid<=GlobalVariableGet("dnlevel"))
      {
         tiket = OrderSend(Symbol(),OP_SELL,Lot,Bid,Slippage,0,Bid-TP*Point,"",Magic,0,Red);
         if(tiket>0) bartime = Time[0];
      }
      return(0);
   }
   
   for (int y=OrdersTotal()-1;y>=0;y--)
   {
         OrderSelect(y,SELECT_BY_POS,MODE_TRADES);
         if(OrderSymbol()==Symbol() && OrderMagicNumber()==Magic)
         {
            if(OrderType()==OP_BUY)
            { 
                if(Bid<=GlobalVariableGet("dnlevel")) OrderClose(OrderTicket(),OrderLots(),Bid,Slippage,CLR_NONE);
            }
            
            if(OrderType()==OP_SELL)
            {  
                if(Bid>=GlobalVariableGet("uplevel")) OrderClose(OrderTicket(),OrderLots(),Ask,Slippage,CLR_NONE);
            }   
         }
    }
//----
   return(0);
  }
//+------------------------------------------------------------------+